com.verisign.epp.serverstub

## Class SessionData

- java.lang.Object
- - com.verisign.epp.serverstub.SessionData

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable

      public class SessionData
      extends java.lang.Object
      implements java.lang.Cloneable, java.io.Serializable

  The `SessionData` is a utility class that contains data related to an established EPP client/server session.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionData()` Constructs a new SessionData instance

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Makes a copy of the invoking `SessionData` object
    `java.lang.Object` | `getAttribute(java.lang.String aName)` Gets a session attribute by attribute name.
    `EPPGreeting` | `getGreeting()` Returns the EPPGreeting associated with this session
    `EPPLoginCmd` | `getLoginCmd()` Gets the `EPPLoginCmd` used for the authenticated session.
    `boolean` | `hasLogoutOccured()` Returns the logout state of this session object.
    `boolean` | `isLoggedIn()` Returns the login state of this session object
    `void` | `setAttribute(java.lang.String aName, java.lang.Object aResource)` Sets a session attribute by use an attribute name (key) along with an attribute value.
    `void` | `setGreeting(EPPGreeting aGreeting)` Sets the greeting that will be sent to clients when they connect
    `void` | `setLoggedIn(boolean aBool)` Sets the login state of this session object
    `void` | `setLoginCmd(EPPLoginCmd aLoginCmd)` Sets the `EPPLoginCmd` used for the authenticated session.
    `void` | `setLogoutOccured(boolean aBool)` Sets the logout state of this session object.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SessionData

          public SessionData()

      Constructs a new SessionData instance

  - ### Method Detail

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Makes a copy of the invoking `SessionData` object
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        Clone of `SessionData`
      Throws:
        `java.lang.CloneNotSupportedException` - Error cloning `SessionData`

    - #### hasLogoutOccured

          public boolean hasLogoutOccured()

      Returns the logout state of this session object.
      Returns:
        boolean True if a logout has occurred

    - #### setLogoutOccured

          public void setLogoutOccured(boolean aBool)

      Sets the logout state of this session object.
      Parameters:
        `aBool` - The new logout state

    - #### isLoggedIn

          public boolean isLoggedIn()

      Returns the login state of this session object
      Returns:
        boolean The login state of this session object

    - #### getLoginCmd

          public EPPLoginCmd getLoginCmd()

      Gets the `EPPLoginCmd` used for the authenticated session.
      Returns:
        `EPPLoginCmd` if set; `null` otherwise.

    - #### setLoginCmd

          public void setLoginCmd(EPPLoginCmd aLoginCmd)

      Sets the `EPPLoginCmd` used for the authenticated session.
      Parameters:
        `aLoginCmd` - `EPPLoginCmd` passed by the user for the authenticated session.

    - #### setLoggedIn

          public void setLoggedIn(boolean aBool)

      Sets the login state of this session object
      Parameters:
        `aBool` - The new login state

    - #### getGreeting

          public EPPGreeting getGreeting()

      Returns the EPPGreeting associated with this session
      Returns:
        EPPGreeting The greeting

    - #### setGreeting

          public void setGreeting(EPPGreeting aGreeting)

      Sets the greeting that will be sent to clients when they connect
      Parameters:
        `aGreeting` - The greeting that should be sent.

    - #### setAttribute

          public void setAttribute(java.lang.String aName,
                                   java.lang.Object aResource)

      Sets a session attribute by use an attribute name (key) along with an attribute value.
      Parameters:
        `aName` - Name of the attribute
        `aResource` - Value of the attribute

    - #### getAttribute

          public java.lang.Object getAttribute(java.lang.String aName)

      Gets a session attribute by attribute name.
      Parameters:
        `aName` - Name of attribute
      Returns:
        Value of attribute if defined; `null` otherwise.